Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3764 - printtool crashes on startup
Summary: printtool crashes on startup
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printtool
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-28 02:26 UTC by arthur
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-08 15:09:28 UTC


Attachments (Terms of Use)

Description arthur 1999-06-28 02:26:36 UTC
Just upgraded from 5.2 to 6.0. printing didn't work so I
fired up printtool. First it griped about SAMBA not
installed. Dont care so I click OK. Then it gripes about
ncpfs. Dont care so I click ok. Then it crashes with:
[root@ludwig /root]# printtool
Error in startup script: can't read
"printerdb_descr(EpsonStylusColor)": no such element in
array
    while executing
"set printer $printerdb_descr([lindex $info 4])"
    (procedure "FILTERED_summaryline" line 7)
    invoked from within
"FILTERED_summaryline $i "local printer""
    (procedure "LOCAL_summaryline" line 5)
    invoked from within
"$printer_type($i)_summaryline $i"
    (procedure "redisplay" line 6)
    invoked from within
"redisplay"
    (file "/usr/bin/printtool" line 3213)

Bottom line. I cant print. This is serious.

Comment 1 Jay Turner 1999-06-28 12:47:59 UTC
This issue has been forwarded to a developer for further action.  Try
moving your printcap off to the side and reexecuting printtool (i.e.
make sure there is not a config file for printtool to read in) and see
what happens.  We have no problems running printtool here in the
office, so I am tending to think that something in your printcap file
is throwing it for a loop.

Comment 2 Bill Nottingham 1999-06-28 14:08:59 UTC
what does your /etc/printcap say?
What version of ghostscript do you have installed?

------- Email Received From  arthur@ablair.physics.wisc.edu 06/29/99 13:53 -------

Comment 3 m.lupp 1999-07-02 06:29:59 UTC
It seems that in the SPEC-File of the printtool-RPM is a bug. The same
is happen to me: After updating from 5.2 to 6.0 I had the same crash
of printtool (with an other printerdb_descr name). What the
printtool-rpm in 6.0 does is: it overwrites file that contains the
printerdescriptions for printtool without saving the old file.
What RedHat has to do is to changing this behavior.
What you can do is: Open the new file that contains the
printerdescriptions for printtool (sorry, I forgot the name) and go to
the end of the file. There is now a other name for the
EpsonStylusColor-Printer. Copy this name over 'EpsonStylusColor' in
your printcap and you can start printtool.

Comment 4 Bill Nottingham 1999-07-08 15:09:59 UTC
fixed in rhs-printfilters-1.56-3 (printerdb is now a %config file...)


Note You need to log in before you can comment on or make changes to this bug.